#include "cGame.h"
#include "cDoor.h"
#include "MediaVars.h"

cDoor::cDoor(cGame *g, double xx, double yy)
{
	game = g;
	x = xx;
	y = yy;
	depth = 0;
	collide.SetPosition(xx,yy);
	collide.SetLeft(20);
	collide.SetTop(0);
	collide.SetRight(42);
	collide.SetBottom(64);
	objectType = DOOR;
	depth = (collide.GetY()+44);
	destroyed = false;
}

void cDoor::Update()
{
}

void cDoor::Draw()
{
	sprDoor->SetPosition((float)(int)x,(float)(int)y);
	game->GetWindow()->Draw(*sprDoor);
}